Bug 1151071 - When expose-all-logs is not set for JTS no transaction is shown in jboss-cli
Summary: When expose-all-logs is not set for JTS no transaction is shown in jboss-cli
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR11
: EAP 6.4.0
Assignee: Michael
QA Contact: Hayk Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks: 1165728
TreeView+ depends on / blocked
 
Reported: 2014-10-09 14:27 UTC by Ondrej Chaloupka
Modified: 2019-08-19 12:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:41:04 UTC
Type: Bug


Attachments (Terms of Use)
tx-object-store.zip (6.11 KB, application/zip)
2014-10-09 15:07 UTC, Ondrej Chaloupka
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2283 Major Closed Tooling no longer exposes JTS record types 2014-12-11 15:54:02 UTC
Red Hat Bugzilla 900289 None None None Never

Internal Links: 900289

Description Ondrej Chaloupka 2014-10-09 14:27:49 UTC
There is a problem to read resources from transaction log in case of JTS for some cases. The problematic one that it could be tested with is when there is a heuristic decision needed from user.

When expose-all-logs is not set to true (default is false) then there is shown no transaction.

How to reproduce:
1) check this with EAP 6.3.0.GA and EAP 6.4.0.DR4. It's working for 6.3.0 and not for 6.4.0.
DR4 available at:
http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-6.3.0.DR4/
2) cd $JBOSS_HOME
3) rm -rf standalone/data/tx-object-store
4) unzip -d standalone/data tx-object-store.zip
5) set standalone-full.xml to run with jts
6) ./bin/standalone.sh -c standalone-full.xml
7) ./bin/jboss-cli.sh
/subsystem=transactions/log-store=log-store:probe()
/subsystem=transactions/log-store=log-store:read-resource(include-runtime=true, recursive=true)

Default output is:
{
    "outcome" => "success",
    "result" => {
        "expose-all-logs" => false,
        "type" => "default",
        "transactions" => undefined
    }
}


The property should cause exposing orphan participants but by default there should be shown existing transactions without any special settings.
Or the property should be set to true by default.

Comment 1 Ondrej Chaloupka 2014-10-09 15:07:44 UTC
Created attachment 945351 [details]
tx-object-store.zip

Comment 3 Ondrej Chaloupka 2014-10-10 06:59:30 UTC
I was thinking that setting the property to true by default is not so good. If I have structure like this:
$JBOSS_HOME/standalone/data/tx-object-store/
├── ShadowNoFileLockStore
   └── defaultStore
       ├── CosTransactions
       │   └── XAResourceRecord
       │       └── 0_ffff0a280545_2d64af2f_54378290_3c
       ├── Recovery
       │   └── FactoryContact
       │       ├── 0_ffff0a280545_2d64af2f_54378290_12
       │       └── 0_ffff0a280545_e75f515_543782b1_16
       └── RecoveryCoordinator
           └── 0_ffff52e38d0c_c91_4140398c_0

then operation on reading resources from log-store (/subsytem=transactions/log-store=log-store:read-resource()) will show 4 "transactions" and it's just on you to understand what is real transaction and what is record fro recovery coordinator.
By default it should show just "real" transaction in store and when you know what you are doing then expose-all-logs could be used.

As it is currently there is information about no transaction shown without expose-all-logs.

Comment 6 Ondrej Chaloupka 2014-10-17 11:45:55 UTC
As mentioned - it worked for 6.3.0.GA where the result was following:

{
    "outcome" => "success",
    "result" => {
        "type" => "default",
        "transactions" => {"0:ffff0a280545:-477f44a9:5436a3c5:46" => {
            "age-in-seconds" => "679213",
            "id" => "0:ffff0a280545:-477f44a9:5436a3c5:46",
            "jmx-name" => undefined,
            "type" => "StateManager/BasicAction/TwoPhaseCoordinator/ArjunaTransactionImple",
            "participants" => {"1" => {
                "eis-product-name" => undefined,
                "eis-product-version" => undefined,
                "jmx-name" => undefined,
                "jndi-name" => "1",
                "status" => "PREPARED",
                "type" => "/StateManager/AbstractRecord/ExtendedResourceRecord"
            }}
        }}
    }
}

Comment 7 Ondrej Chaloupka 2014-11-13 08:57:44 UTC
As this is regression against behaviour of 6.3.0.GA setting blocker to ? for not being forgotten as should be part of 6.4.0.GA.

Comment 8 Hayk Hovsepyan 2014-11-26 08:21:07 UTC
Verified on revision EAP 6.4.0.DR11

Comment 9 JBoss JIRA Server 2014-12-11 15:54:04 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2283 to Closed


Note You need to log in before you can comment on or make changes to this bug.